> For the complete documentation index, see [llms.txt](https://www.aevo.xyz/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.aevo.xyz/docs/api-reference/urls/private-api/getmmp.md).

# GET /mmp

Get market maker protection (MMP) setting.

`GET https://api.aevo.xyz/mmp`

> **Authentication required.** Include your `AEVO-KEY` and `AEVO-SECRET` headers. See [Authentication](https://www.aevo.xyz/docs/api-reference/urls/authentication.md).

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/mmp \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>'
```

## Responses

**`200`** — Market maker protection (MMP) setting.

| Field             | Type    | Required | Description                                                                                                       |
| ----------------- | ------- | -------- | ----------------------------------------------------------------------------------------------------------------- |
| `enabled`         | boolean | Yes      | Enabled if true. Example: `true` Example: `True`                                                                  |
| `triggered`       | boolean | Yes      | Account under MMP if true Example: `true` Example: `True`                                                         |
| `interval`        | string  | No       | Interval in seconds. A setting for market maker protection (MMP). If set to 0, MMP is disabled. Example: `30`     |
| `frozen`          | string  | No       | Duration in seconds during which the account will be frozen. If set to 0, manual reset is required. Example: `30` |
| `frozen_end_time` | string  | No       | End time in nanoseconds where the account will be unfrozen. Example: `1683697928273737203`                        |
| `amount_limit`    | string  | No       | Amount limit setting for market maker protection (MMP). In 6 decimals fixed number. Example: `1000000`            |
| `delta_limit`     | string  | No       | Delta limit setting for market maker protection (MMP). In unsigned float. Example: `0.1`                          |
| `amount_change`   | string  | No       | Change in filled contract amounts within the interval. Example: `0.1`                                             |
| `delta_change`    | string  | No       | Change in delta within the interval. Example: `0.1`                                                               |
| `asset`           | string  | Yes      | Name of underlying asset. Example: `ETH`                                                                          |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://www.aevo.xyz/docs/api-reference/urls/private-api/getmmp.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
